function Axes_Limit()
Color_01 = [0.86 0.86 0.86];

Figure_Zoom = figure( ...
    'PaperUnits','points', ...
    'Position',[700,400,240,150], ...
    'KeyPressFcn', 'figure(gcf)', ...
    'Color',Color_01,...
    'doublebuffer','on',...
    'resize','off',...
    'NumberTitle','off',...
    'menubar','none',...
    'windowstyle','modal',...
    'Name', 'Axes Limit - Setup');   

Grp_Azes_Lim_1 = uibuttongroup('visible','on',...
    'Title', '',...
    'Units', 'points',...
    'Position',[3 3 60 35]);

uicontrol('Style', 'text',...
    'String', 'Max:',...
    'Position', [1 20 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_1,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'text',...
    'String', 'Min:',...
    'Position', [1 2 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_1,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'edit',...
    'String', '1200',...
    'parent',Grp_Azes_Lim_1,...
    'Position', [33 22 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y3_Max',...
    'BackgroundColor','white');

uicontrol('Style', 'edit',...
    'String', '0',...
    'parent',Grp_Azes_Lim_1,...
    'Position', [33 3 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y3_Min',...
    'BackgroundColor','white');

uicontrol('Style', 'text',...
    'String', 'axes-3(ylim)',...
    'Position', [1 46 65 14],...
    'BackgroundColor',get(gcf,'color'),...
    'Parent',Grp_Azes_Lim_1,...
    'HorizontalAlignment','Right');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Grp_Azes_Lim_2 = uibuttongroup('visible','on',...
    'Title', '',...
    'Units', 'points',...
    'Position',[3 55 60 35]);

uicontrol('Style', 'text',...
    'String', 'Max:',...
    'Position', [1 20 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_2,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'text',...
    'String', 'Min:',...
    'Position', [1 2 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_2,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'edit',...
    'String', '1200',...
    'parent',Grp_Azes_Lim_2,...
    'Position', [33 22 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y1_Max',...
    'BackgroundColor','white');

uicontrol('Style', 'edit',...
    'String', '0',...
    'parent',Grp_Azes_Lim_2,...
    'Position', [33 3 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y1_Min',...
    'BackgroundColor','white');

uicontrol('Style', 'text',...
    'String', 'axes-1(ylim)',...
    'Position', [1 46 65 14],...
    'BackgroundColor',get(gcf,'color'),...
    'Parent',Grp_Azes_Lim_2,...
    'HorizontalAlignment','Right');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Grp_Azes_Lim_3 = uibuttongroup('visible','on',...
    'Title', '',...
    'Units', 'points',...
    'Position',[70 3 60 35]);

uicontrol('Style', 'text',...
    'String', 'Max:',...
    'Position', [1 20 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_3,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'text',...
    'String', 'Min:',...
    'Position', [1 2 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_3,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'edit',...
    'String', '1200',...
    'parent',Grp_Azes_Lim_3,...
    'Position', [33 22 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_X_Max',...
    'BackgroundColor','white');

uicontrol('Style', 'edit',...
    'String', '0',...
    'parent',Grp_Azes_Lim_3,...
    'Position', [33 3 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_X_Min',...
    'BackgroundColor','white');

uicontrol('Style', 'text',...
    'String', 'xlim',...
    'Position', [1 46 65 14],...
    'BackgroundColor',get(gcf,'color'),...
    'Parent',Grp_Azes_Lim_3,...
    'HorizontalAlignment','Center');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Grp_Azes_Lim_4 = uibuttongroup('visible','on',...
    'Title', '',...
    'Units', 'points',...
    'Position',[70 55 60 35]);

uicontrol('Style', 'text',...
    'String', 'Max:',...
    'Position', [1 20 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_4,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'text',...
    'String', 'Min:',...
    'Position', [1 2 30 15],...
    'FontWeight', 'bold',...
    'Parent',Grp_Azes_Lim_4,...
    'HorizontalAlignment','Right');

uicontrol('Style', 'edit',...
    'String', '1200',...
    'parent',Grp_Azes_Lim_4,...
    'Position', [33 22 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y2_Max',...
    'BackgroundColor','white');

uicontrol('Style', 'edit',...
    'String', '0',...
    'parent',Grp_Azes_Lim_4,...
    'Position', [33 3 40 15],...
    'HorizontalAlignment','right',...
    'tag','Ed_Lim_Y2_Min',...
    'BackgroundColor','white');

uicontrol('Style', 'text',...
    'String', 'axes-2(ylim)',...
    'Position', [1 46 65 14],...
    'BackgroundColor',get(gcf,'color'),...
    'Parent',Grp_Azes_Lim_4,...
    'HorizontalAlignment','Right');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

uicontrol('Style', 'pushbutton',...
    'String', 'Accept',...
    'Position', [185 90 50 20],...
    'Enable','on',...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'Callback', 'Function_ACA(20)');

uicontrol('Style', 'pushbutton',...
    'String', 'Default',...
    'Position', [185 60 50 20],...
    'Enable','on',...
    'HorizontalAlignment','left',...
    'FontSize', 8,...
    'FontWeight', 'bold',...
    'Callback', 'Function_ACA(21)');

uicontrol('Style', 'pushbutton',...
    'String', 'Exit',...
    'Position', [185 30 50 20],...
    'Enable','on',...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'Callback', 'close');

