%%% This function decodes the message sended from pump 3                %%%
%%% The following variables are obtained: Sampling_Time, Real_Time,     %%%
%%% INF_Mode, INF_Rate_Value, INF_Rate_Value_Unit, Drug_Name,           %%%
%%% INF_VI_Value, INF_VI_Unit, INF_Pressure_Value, INF_Pressure_Unit,   %%%
%%% INF_Time_Remain, Log_Type and Latest_Log_Entry                      %%%
%%% Luis Alberto Paz Surez                                             %%%
%%% 2010-08-17                                                          %%%

function Decode_Pump3_UDP_message(Pump_UDP_message)
global Sampling_Time_4 Real_Time_4 INF_Mode_3 INF_Rate_Value_3 INF_Rate_Value_Unit_3 
global Drug_Name_3 INF_VI_Value_3 INF_VI_Unit_3 INF_Pressure_Value_3 INF_Pressure_Unit_3
global INF_Time_Remain_3 Log_Type_3 Latest_Log_Entry_3

i = 8;
%%%%%%%%% Get Sampling Time  %%%%%%%%%
Sampling_Time_4 = '0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    Sampling_Time_4 = strcat(Sampling_Time_4, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get Real Time  %%%%%%%%%
i = i + 1;
Real_Time_4 ='0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    Real_Time_4 = strcat(Real_Time_4, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Mode_3  %%%%%%%%%
i = i + 1;
INF_Mode_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Mode_3 = strcat(INF_Mode_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Rate_Value_3  %%%%%%%%%
i = i + 1;
INF_Rate_Value_3 ='0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Rate_Value_3 = strcat(INF_Rate_Value_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Rate_Value_Unit_3  %%%%%%%%%
i = i + 1;
INF_Rate_Value_Unit_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Rate_Value_Unit_3 = strcat(INF_Rate_Value_Unit_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get Drug_Name_3  %%%%%%%%%
i = i + 1;
Drug_Name_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    Drug_Name_3 = strcat(Drug_Name_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_VI_Value_3  %%%%%%%%%
i = i + 1;
INF_VI_Value_3 ='0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_VI_Value_3 = strcat(INF_VI_Value_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_VI_Unit_3  %%%%%%%%%
i = i + 1;
INF_VI_Unit_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_VI_Unit_3 = strcat(INF_VI_Unit_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Pressure_Value_3  %%%%%%%%%
i = i + 1;
INF_Pressure_Value_3 ='0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Pressure_Value_3 = strcat(INF_Pressure_Value_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Pressure_Unit_3  %%%%%%%%%
i = i + 1;
INF_Pressure_Unit_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Pressure_Unit_3 = strcat(INF_Pressure_Unit_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get INF_Time_Remain_3  %%%%%%%%%
i = i + 1;
INF_Time_Remain_3 ='0';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    INF_Time_Remain_3 = strcat(INF_Time_Remain_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get Log_Type_3  %%%%%%%%%
i = i + 1;
Log_Type_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='^')
    Log_Type_3 = strcat(Log_Type_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end
%%%%%%%%% Get Latest_Log_Entry_3  %%%%%%%%%
i = i + 1;
Latest_Log_Entry_3 ='';
Character_read = Pump_UDP_message(i);
while (Character_read ~='$')
    Latest_Log_Entry_3 = strcat(Latest_Log_Entry_3, Character_read);
    i = i + 1;
    Character_read = Pump_UDP_message(i);
end

