%%% This function defines the operation mode (Real or Simulation)           %%%
%%% Luis Alberto Paz Surez                                                 %%%
%%% 2010-12-22                                                              %%%

function Function_Operating_Mode(Button)
global RB_Real_Time RB_Simulator hpop_Step Fig_Simulator;
global hpop_01 hpop_02 hpop_03 hpop_04 hpop_05 hpop_06 hpop_03_N hpop_04_N hpop_ST_01 hpop_ST_02 hpop_ST_03;
global Enabled_DATEX Enabled_Syringe_1 Enabled_Syringe_2  Enabled_Syringe_3;
global Plot_1 Ch_1 Ch_1A Ch_1B Ch_2 Ch_3 Ch_4 Ch_5 Ch_6 Ch_7 Ch_8 Ch_9;
global Label_12 Label_13 Label_14 Label_15 Label_16 Label_17 ;
global Label_26 Label_26a Label_27 Label_27A Label_27a Label_27C Label_27D Label_27E;

global DefFig_Sim Color_01 Color_02;
switch Button
    case 1      
        if (get(RB_Real_Time,'Value') == get(RB_Real_Time,'Max'))
            set(hpop_Step,'Enable','on')
            set(hpop_01,'Enable','on')
            set(hpop_02,'Enable','on')
            set(hpop_03,'Enable','on')
            set(hpop_04,'Enable','on')
            set(hpop_05,'Enable','on')
            set(hpop_06,'Enable','on')
            set(hpop_03_N,'Enable','on')
            set(hpop_04_N,'Enable','on')
            set(hpop_ST_01,'Enable','on')
            set(hpop_ST_02,'Enable','on')
            set(hpop_ST_03,'Enable','on')
            set(Enabled_DATEX,'Enable','on')
            set(Enabled_Syringe_1,'Enable','on')
            set(Enabled_Syringe_2,'Enable','on')
            set(Enabled_Syringe_3,'Enable','on')
            
            set(Ch_1,'Enable','on') 
            set(Ch_1A,'Enable','on') 
            set(Ch_1B,'Enable','on') 
            set(Ch_2,'Enable','on') 
            set(Ch_3,'Enable','on') 
            set(Ch_4,'Enable','on') 
            set(Ch_6,'Enable','on') 
            set(Ch_8,'Enable','on') 
            set(Ch_9,'Enable','on') 
            set(Label_12,'Visible','on')
            set(Label_13,'Visible','on')
            set(Label_14,'Visible','on')
            set(Label_15,'Visible','on')
            set(Label_17,'Visible','on')
            set(Label_27,'Visible','on')
            set(Label_27A,'Visible','on')
            set(Label_27a,'Visible','on')
            set(Label_27C,'Visible','on')
            set(Label_27D,'Visible','on')
            set(Label_27E,'Visible','on')

            try
                close(Fig_Simulator)
            catch ME
            end
        end
        if (get(RB_Simulator,'Value') == get(RB_Simulator,'Max'))
            set(hpop_Step,'Enable','on') 
            set(hpop_01,'Enable','off')
            set(hpop_02,'Enable','off')
            set(hpop_03,'Enable','off')
            set(hpop_04,'Enable','off')
            set(hpop_05,'Enable','off')
            set(hpop_06,'Enable','off')
            set(hpop_03_N,'Enable','off')
            set(hpop_04_N,'Enable','off')
            set(hpop_ST_01,'Enable','off')
            set(hpop_ST_02,'Enable','off')
            set(hpop_ST_03,'Enable','off')
            set(Enabled_DATEX,'Enable','off')
            set(Enabled_Syringe_1,'Enable','off')
            set(Enabled_Syringe_2,'Enable','off')
            set(Enabled_Syringe_3,'Enable','off')
            
            set(Ch_1,'Enable','off') 
            set(Ch_1A,'Enable','off') 
            set(Ch_1B,'Enable','off') 
            set(Ch_2,'Enable','off') 
            set(Ch_3,'Enable','off') 
            set(Ch_4,'Enable','off') 
            set(Ch_6,'Enable','off') 
            set(Ch_8,'Enable','off') 
            set(Ch_9,'Enable','off') 
            set(Label_12,'Visible','off')
            set(Label_13,'Visible','off')
            set(Label_14,'Visible','off')
            set(Label_15,'Visible','off')
            set(Label_17,'Visible','off')
            set(Label_27,'Visible','off')
            set(Label_27A,'Visible','off')
            set(Label_27a,'Visible','off')
            set(Label_27C,'Visible','off')
            set(Label_27D,'Visible','off')
            set(Label_27E,'Visible','off')

            Function_Fig_Simulator;
            
        end
    case 2
end