%%% This function shift to left the three AXES                %%%
%%% Luis Alberto Paz Surez                                                 %%%
%%% 2010-08-17                                                              %%%

function Function_Tool(Button)
global Plot_1 Plot_2 ZOOM_1 BIS_Marker Point_Marker Index_Marker Marker_Text Flag_Point_New
global Label_Point_Value Edit_Point_Text Ch_1
global Time_DATEX_Data BIS_Data BIS_EMG_Data BIS_SQI_Data Heart_Rate_Data T1_Data Tratio_Data;

if (get(Ch_1,'Value') == get(Ch_1,'Max'))
    
    switch Button
        case 1
            % Button "SELECT"
            if ~isempty(Point_Marker)
                plot(Plot_1, Point_Marker(1)/60,Point_Marker(2), 'wo', 'LineWidth',1, 'MarkerSize', 12 )
            end
            Point_Marker = [];
            set(Label_Point_Value,'String', '');
            set(Edit_Point_Text,'String','');
            Refresh_Plot_1()
            P_get = ginput(1);
            Function_Tool_Search(P_get)
            
        case 2
            % Button "TRUE"
            if ~isempty(Point_Marker)
                plot(Plot_1, Point_Marker(1)/60,Point_Marker(2), 'wo', 'LineWidth',1, 'MarkerSize', 12 )
                if Flag_Point_New == 0
                    if (BIS_Marker(Index_Marker,3) ~= 4)
                        plot (Plot_1, Point_Marker(1)/60,Point_Marker(2), 's', 'LineWidth', 1, 'MarkerSize',10, 'MarkerFaceColor','g')
                        BIS_Marker(Index_Marker,3) = 2;
                    end
                    Marker_Text{[Index_Marker]}= get(Edit_Point_Text,'string');
                    
                else
                    plot (Plot_1, Point_Marker(1)/60,Point_Marker(2), 's', 'LineWidth', 1, 'MarkerSize',10, 'MarkerFaceColor','y')
                    BIS_Marker(size(BIS_Marker,1)+1,1)= Point_Marker(2);
                    BIS_Marker(size(BIS_Marker,1),2)= Point_Marker(1);
                    BIS_Marker(size(BIS_Marker,1),3)= 4;
                    if (size(Marker_Text,2)== 1) && (isempty(Marker_Text{[1]}))
                        Var_Size = 1;
                    else
                        Var_Size = size(Marker_Text,2) + 1;
                    end
                    Marker_Text{[Var_Size]}= get(Edit_Point_Text,'string');
                    
                    % Sort ascending
                    for i=1:size(BIS_Marker,1)
                        if Point_Marker(1) < BIS_Marker(i,2)
                            Pos = i;
                            for New_i= size(BIS_Marker,1):-1:Pos +1
                                BIS_Marker(New_i,:)= BIS_Marker(New_i-1,:);
                                Marker_Text{[New_i]} = Marker_Text{[New_i-1]};
                            end
                            BIS_Marker(Pos,1) = Point_Marker(2);
                            BIS_Marker(Pos,2) = Point_Marker(1);
                            BIS_Marker(Pos,3) = 4;
                            Marker_Text{[Pos]} = get(Edit_Point_Text,'string');
                            break
                        end
                    end
                end
            end
            Point_Marker = [];
            set(Label_Point_Value,'String', '');
            set(Edit_Point_Text,'String','');
            Refresh_Plot_1()
            P_get = ginput(1);
            Function_Tool_Search(P_get);
            
        case 3
            % Button "NEW"
            if ~isempty(Point_Marker)
                plot (Plot_1, Point_Marker(1)/60,Point_Marker(2), 's', 'LineWidth', 1, 'MarkerSize',10, 'MarkerFaceColor','y')
                %            plot(Plot_1, Point_Marker(1)/60,Point_Marker(2), 'wo', 'LineWidth',1, 'MarkerSize', 12 )
                %            BIS_Marker(Index_Marker,3) = 2;
            end
            
            
        case 4
            % Button "FALSE"
            if ~isempty(Point_Marker)
                plot(Plot_1, Point_Marker(1)/60,Point_Marker(2), 'wo', 'LineWidth',1, 'MarkerSize', 12 )
                if Flag_Point_New == 0
                    if (BIS_Marker(Index_Marker,3) ~= 4)
                        plot (Plot_1, Point_Marker(1)/60,Point_Marker(2), 's', 'LineWidth', 1, 'MarkerSize',10, 'MarkerFaceColor','r')
                        BIS_Marker(Index_Marker,3) = 3;
                    end
                end
            end
            Point_Marker = [];
            set(Label_Point_Value,'String', '');
            set(Edit_Point_Text,'String','');
            P_get = ginput(1);
            Function_Tool_Search(P_get)
            
        case 5
            % Button "DELETE"
            if ~isempty(Point_Marker)
                plot (Plot_1, Point_Marker(1)/60,Point_Marker(2), 's', 'LineWidth', 1, 'MarkerSize',10, 'MarkerFaceColor','w')
                plot(Plot_1, Point_Marker(1)/60,Point_Marker(2), 'wo', 'LineWidth',1, 'MarkerSize', 12)
                BIS_Marker(Index_Marker,3) = 1;
            end
            Point_Marker = [];
            set(Label_Point_Value,'String', '');
            set(Edit_Point_Text,'String','');
            P_get = ginput(1);
            Function_Tool_Search(P_get)
        case 6
            %%%% Button "Save"
            save DATOS_Marcas_01.mat BIS_Marker Point_Marker Index_Marker Marker_Text Time_DATEX_Data BIS_Data BIS_EMG_Data BIS_SQI_Data Heart_Rate_Data T1_Data Tratio_Data;

            
    end
end
zoom on


