%%% This function validates if infusion rate value of pump 2 is valid   %%%
%%% Luis Alberto Paz Surez                                             %%%
%%% 2010-08-17                                                          %%%

function Function_Validate_INF_Rate_2()
    global Edit_02 Label_27a Pump_2_UDP_Port_Read Pump_2_UDP_Port_Write;
    global sockcon_3 Pump_2_Value Lim_Min_2 Lim_Max_2;
    user_entry = str2double(get(Edit_02,'string'));
    if isnan(user_entry)||(user_entry < Lim_Min_2)||(user_entry > Lim_Max_2)
        errordlg('You must enter a valid numeric value','Bad Input','modal')
        return
    end
    Pump_2_Value = user_entry;
    Remote_Host = 'localhost';
    Remote_Port = Pump_2_UDP_Port_Write;
    Data_to_Send = num2str(Pump_2_Value);
    set(Label_27a, 'String', Data_to_Send);
    try
    UDP_STATUS = pnet(sockcon_3, 'status');
    if  UDP_STATUS == 0
        pnet(sockcon_3,'close');
        sockcon_3 = pnet('udpsocket', Pump_2_UDP_Port_Read);
        pnet(sockcon_3,'setwritetimeout',1);
        pnet(sockcon_3,'setreadtimeout',0);
    end
    catch ME
        errordlg('You must initialice the UDP port: Press the "Start" button','UDP Port Error','modal')
    end
    Function_UDP_Send(Remote_Host, sockcon_3, Remote_Port, Data_to_Send);
end


