%%% This function define the main variables of the control system   %%%
%%% Luis Alberto Paz Surez                                         %%%
%%% 2010-08-17                                                      %%%

%function Init_Variables()

global Sampling_Time Sampling_Time_Pump1 Sampling_Time_Pump2 Sampling_Time_Pump3;
global DATEX_UDP_Port_Read;
global Pump_1_UDP_Port_Read;
global Pump_1_UDP_Port_Write;
global Pump_2_UDP_Port_Read;
global Pump_2_UDP_Port_Write;
global Pump_3_UDP_Port_Read;
global Pump_3_UDP_Port_Write;
global Time_Elapse Time_Elapse_Pump1 Time_Elapse_Pump2 Time_Elapse_Pump3;

global Time_DATEX_Data BIS_Data BIS_EMG_Data BIS_SQI_Data Heart_Rate_Data T1_Data Tratio_Data;
Time_DATEX_Data = [];
BIS_Data = [];
BIS_EMG_Data = [];
BIS_SQI_Data = [];
Heart_Rate_Data = [];
T1_Data = [];
Tratio_Data = [];

global BIS_Error BIS_EMG_Error BIS_SQI_Error Heart_Rate_Error T1_Error Tratio_Error;
global BIS_Error_Time BIS_EMG_Error_Time BIS_SQI_Error_Time Heart_Rate_Error_Time T1_Error_Time Tratio_Error_Time;

BIS_Error = [];
BIS_EMG_Error = []; 
BIS_SQI_Error = []; 
Heart_Rate_Error = []; 
T1_Error =[]; 
Tratio_Error = [];

BIS_Error_Time = [];
BIS_EMG_Error_Time = []; 
BIS_SQI_Error_Time = []; 
Heart_Rate_Error_Time = []; 
T1_Error_Time =[]; 
Tratio_Error_Time = [];

global Time_Pump1_Data INF_Rate_Pum1_Data;
Time_Pump1_Data = [];
INF_Rate_Pum1_Data = [];

global Time_Pump2_Data INF_Rate_Pum2_Data;
Time_Pump2_Data = [];
INF_Rate_Pum2_Data = [];

global BIS_Value;
global BIS_EMG_Value;
global BIS_SQI_Value;
global Hear_Rate_Value;
global Tratio_Value;
global T1_Value;
global T2_Value;
global T3_Value;
global T4_Value;

global Pump_1_Value Pump_2_Value Pump_3_Value;


Sampling_Time = 5;
Sampling_Time_Pump1 = 5;
Sampling_Time_Pump2 = 5;
Sampling_Time_Pump3 = 5;
Time_Elapse = 0;
Time_Elapse_Pump1 = 0;
Time_Elapse_Pump2 = 0;
Time_Elapse_Pump3 = 0;
DATEX_UDP_Port_Read = 11000;
Pump_1_UDP_Port_Read = 11001;
Pump_1_UDP_Port_Write = 11002;
Pump_2_UDP_Port_Read = 11003;
Pump_2_UDP_Port_Write = 11004;
Pump_3_UDP_Port_Read = 11005;
Pump_3_UDP_Port_Write = 11006;

BIS_Value = 0;
BIS_EMG_Value = 0;
BIS_SQI_Value = 0;
Hear_Rate_Value = 0;
Tratio_Value = 0;
T1_Value = 0;
T2_Value = 0;
T3_Value = 0;
T4_Value = 0;

Pump_1_Value = 0;
Pump_2_Value = 0;
Pump_3_Value = 0;

global Lim_Min_1 Lim_Max_1 Lim_Min_2 Lim_Max_2 Lim_Min_3 Lim_Max_3 ;
global Time_AXES LIM_AXES Flag_AXES_Shift Cont_Time_Marker BIS_Marker Point_Marker;
Lim_Min_1 = 0;
Lim_Max_1  = 1200;
Lim_Min_2 = 0;
Lim_Max_2 = 1200;
Lim_Min_3 = 0;
Lim_Max_3 = 1200;
Time_AXES = 15;
LIM_AXES =[0 15];
Flag_AXES_Shift = 0;
Cont_Time_Marker = 0;
BIS_Marker =[];
Point_Marker = [];

%%%% ALgoritmo de Raquel
global Init VectorChangePoint VectorTypeChange VectorBIS_MARKER;
global Flag_Point_New BIS_Fs BIS_Sound Marker_Text
Init = 1;
VectorChangePoint = []; 
VectorBIS_MARKER = [];
VectorTypeChange = [];
Flag_Point_New = 0;
BIS_Fs = 0;
BIS_Sound = [];
Marker_Text = cell(1);
%load Point_New_Sound
load DATEX_Sound_1
ScreenSize=get(0,'ScreenSize');
FigWidth=670;
FigHeight=600;
global DefFigSim Color_01 Color_02;
DefFigPos(1)=(ScreenSize(3)-FigWidth)/10;
DefFigPos(2)=(ScreenSize(4)-FigHeight)/8;
DefFigPos(3:4)=[FigWidth  FigHeight];
DefFigSim(1) = DefFigPos(1)+ 400;
DefFigSim(2) =DefFigPos(2)+ 300;
DefFigSim(3:4)=[400 210];
Pos_01 = [0.7429 0.2430 0.0952 0.0323];
global Color_03;
Color_01 = [0.86 0.86 0.86];
Color_02 = [1 1 1];
Color_01_A = [0 1 1];
Color_03  = [0 0.5 0];
