%% modelo reduzido 

function [y]=CE3_gen(k1,k2,k3,u,t,i)
load THETA_database_PEM_final.mat
a=THETA(1,i); %i-nmero do caso 1:60
g=THETA(2,i);
h=1/3;
A=[-(k1+k2+k3)*a -(k1*k2+k1*k3+k2*k3)*a^2 -k1*k2*k3*a^3; 1 0 0; 0 1 0];
B=[1 0 0]';
C=[0 0 k1*k2*k3*a^3];
D=0;

sysc=ss(A,B,C,D);
sysd=c2d(sysc,h,'zoh');

tfsys=tf(sysd);

[y]=lsim(tfsys,u,t);
C50=5*0.6487;
NMB=(100*C50^g)./(C50^g+y.^g);

end

%% modelo PK/PD

function [y]=CE3_gen_standard(modelo,u,t)
load Param_NMB
theta=[lambda1(modelo) a1(modelo) lambda2(modelo) a2(modelo) lambda_v(modelo) tau_v(modelo) S_v(modelo)]';
h=1/3;

A=[-theta(1) 0 0 0; 0 -theta(3) 0 0; theta(5) theta(5) -theta(5) 0;0 0 1/theta(6) -1/theta(6)];
B=[theta(2) theta(4) 0 0]';
C=[0 0 0 1];
D=0;

sysc=ss(A,B,C,D);
sysd=c2d(sysc,h,'zoh');

tfsys=tf(sysd);

[y]=lsim(tfsys,u,t);

end

