%%% This function decodes the message sended from DATEX                 %%%
%%% The following variables are obtained: Sampling_Time_1, Real_Time_1, %%%
%%% BIS, BIS_EMG, BIS_SQI, BIS_SupRat, Heart_Rate, T1, Tratio,          %%%
%%% Stimulus_Mode, Pulse_Width, T1_abs, T2_abs, T3_abs and T4_abs       %%%
%%% Luis Alberto Paz Surez                                             %%%
%%% 2010-08-17                                                          %%%


function Decode_DATEX_UDP_message(DATEX_UDP_message)
global Sampling_Time_1 Real_Time_1 BIS BIS_EMG BIS_SQI BIS_SupRat Heart_Rate T1 Tratio;
global Stimulus_Mode Pulse_Width T1_abs T2_abs T3_abs T4_abs;
i = 8;
%%%%%%%%% Get Sampling Time  %%%%%%%%%
%DATEX_UDP_message
Sampling_Time_1 = '';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Sampling_Time_1 = strcat(Sampling_Time_1, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get Real Time  %%%%%%%%%
i = i + 1;
Real_Time_1 ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Real_Time_1 = strcat(Real_Time_1, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get BIS %%%%%%%%%
i = i + 1;
BIS ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    BIS = strcat(BIS, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get BIS_EMG  %%%%%%%%%
i = i + 1;
BIS_EMG ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    BIS_EMG = strcat(BIS_EMG, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get BIS_SQI  %%%%%%%%%
i = i + 1;
BIS_SQI ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    BIS_SQI = strcat(BIS_SQI, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get BIS_SupRat  %%%%%%%%%
i = i + 1;
BIS_SupRat ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    BIS_SupRat = strcat(BIS_SupRat, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end

%%%%%%%%% Get Heart_Rate  %%%%%%%%%
i = i + 1;
Heart_Rate ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Heart_Rate = strcat(Heart_Rate, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get T1  %%%%%%%%%
i = i + 1;
T1 ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    T1 = strcat(T1, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
T1 = str2double(T1);
%%%%%%%%% Get Tratio  %%%%%%%%%
i = i + 1;
Tratio ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Tratio = strcat(Tratio, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get Stimulus_Mode  %%%%%%%%%
i = i + 1;
Stimulus_Mode ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Stimulus_Mode = strcat(Stimulus_Mode, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get Pulse_Width  %%%%%%%%%
i = i + 1;
Pulse_Width ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    Pulse_Width = strcat(Pulse_Width, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
%%%%%%%%% Get T1_abs  %%%%%%%%%
i = i + 1;
T1_abs ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    T1_abs = strcat(T1_abs, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
T1_abs = str2double(T1_abs);
%%%%%%%%% Get T2_abs  %%%%%%%%%
i = i + 1;
T2_abs ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    T2_abs = strcat(T2_abs, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
T2_abs = str2double(T2_abs);
%%%%%%%%% Get T3_abs  %%%%%%%%%
i = i + 1;
T3_abs ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='^')
    T3_abs = strcat(T3_abs, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
T3_abs = str2double(T3_abs);
%%%%%%%%% Get T4_abs  %%%%%%%%%
i = i + 1;
T4_abs ='';
Character_read = DATEX_UDP_message(i);
while (Character_read ~='$')
    T4_abs = strcat(T4_abs, Character_read);
    i = i + 1;
    Character_read = DATEX_UDP_message(i);
end
T4_abs = str2double(T4_abs);
%T_X = [T1_abs T2_abs T3_abs T4_abs]


