%%% This function defines the action of each component in Figure            %%%
%%% Button = 1    --->                              %%%
%%% Button = 2    --->              %%%
%%% Button = 3    --->                                 %%%
%%% Button = 4    --->                       %%%
%%% Button = 5    --->                   %%%
%%% Button = 6    --->                    %%%
%%% Button = 7    --->                    %%%
%%% Button = 8    --->             %%%
%%% Button = 9    --->                 %%%
%%% Button = 10   --->              %%%
%%% Button = 11   --->               %%%
%%% Button = 12   --->                                  %%%
%%% Button = 13   --->                                       %%%
%%% Button = 14   --->                                         %%%
%%% Button = 15   --->                           %%%
%%% Button = 16   --->     %%% 
%%% Button = 17   --->                      %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%%% Luis Alberto Paz Surez                                                 %%%
%%% 2010-12-22                                                              %%%

function Function_ACA(Button)
global  Plot_1 Plot_2 Plot_3 Time_Elapse;

switch Button
    case 1
        
    case 2
        
    case 3
        
    case 20
        %%% Fig To define Exes lim Button "Accept" %%%
        Lim_1 = get(findobj('tag','Ed_Lim_Y3_Max'),'string');
        Lim_2 = get(findobj('tag','Ed_Lim_Y3_Min'),'string');
        Lim_3 = get(findobj('tag','Ed_Lim_Y2_Max'),'string');
        Lim_4 = get(findobj('tag','Ed_Lim_Y2_Min'),'string');
        Lim_5 = get(findobj('tag','Ed_Lim_Y1_Max'),'string');
        Lim_6 = get(findobj('tag','Ed_Lim_Y1_Min'),'string');
        Lim_7 = get(findobj('tag','Ed_Lim_X_Max'),'string');
        Lim_8 = get(findobj('tag','Ed_Lim_X_Min'),'string');

        try
            
            ylim(Plot_3,[str2double(Lim_2),str2double(Lim_1)])
            ylim(Plot_2,[str2double(Lim_4),str2double(Lim_3)])
            ylim(Plot_1,[str2double(Lim_6),str2double(Lim_5)])
            
            xlim(Plot_3,[str2double(Lim_8),str2double(Lim_7)])
            xlim(Plot_2,[str2double(Lim_8),str2double(Lim_7)])
            xlim(Plot_1,[str2double(Lim_8),str2double(Lim_7)])
        catch ME
            errordlg('The values defined for the limits are not valid', 'Axes Limit Error');
        end
        
       
        
    case 21
       %%% Fig To define Exes lim Button "Default" %%%
            ylim(Plot_3,[0, 105])
            ylim(Plot_2,[0, 105])
            ylim(Plot_1,[0, 1200])
            Var_1 = get(findobj('tag','Pop_Men_Axes_Lim'),'value');
            String_List = get(findobj('tag','Pop_Men_Axes_Lim'),'string');
            %String_List = get(findboj('tag','Pop_Men_Axes_Lim'),'string');
            Time_AXES = str2double(String_List(Var_1,:));
            XMIN = floor(Time_Elapse/60) + 10 - Time_AXES
            
            if (XMIN < 0) 
                XMIN = 0;
            end
            
            
            xlim(Plot_3,[XMIN, XMIN + Time_AXES])
            xlim(Plot_2,[XMIN, XMIN + Time_AXES])
            xlim(Plot_1,[XMIN, XMIN + Time_AXES])


        
    case 30
        %%%%% Button "Axes Lim" in Figura_1   %%%%%
        Axes_Limit();
        Lim_1 = ylim(Plot_3) ;
        set(findobj('tag','Ed_Lim_Y3_Max'),'string',num2str(Lim_1(2)))
        set(findobj('tag','Ed_Lim_Y3_Min'),'string',num2str(Lim_1(1)))
        Lim_1 = ylim(Plot_2) 
        set(findobj('tag','Ed_Lim_Y2_Max'),'string',num2str(Lim_1(2)))
        set(findobj('tag','Ed_Lim_Y2_Min'),'string',num2str(Lim_1(1)))
        Lim_1 = ylim(Plot_1); 
        set(findobj('tag','Ed_Lim_Y1_Max'),'string',num2str(Lim_1(2)))
        set(findobj('tag','Ed_Lim_Y1_Min'),'string',num2str(Lim_1(1)))
        Lim_1 = xlim(Plot_1);
        set(findobj('tag','Ed_Lim_X_Max'),'string',num2str(Lim_1(2)))
        set(findobj('tag','Ed_Lim_X_Min'),'string',num2str(Lim_1(1)))

     
end