%%% This function sets the time to show in each AXES                        %%%
%%% Luis Alberto Paz Surez                                                 %%%
%%% 2010-08-17                                                              %%%

function Function_SET_Time_AXES()
global  hpop_Time_AXES Time_AXES LIM_AXES Plot_1 Plot_2 Plot_3;
global Time_Elapse Time_Elapse_Pump1 Time_Elapse_Pump2 Time_Elapse_Pump3

Value = get(hpop_Time_AXES,'value');
String_List = get(hpop_Time_AXES,'string');
Time_AXES = str2double(String_List(Value,:));

%%%% Seting XLIM in PLOT 1 and PLOT 2
X1_LIM = xlim(Plot_1);
X1_LIM(1)=  Time_Elapse/60 -(Time_AXES)/2 ;
if X1_LIM(1) < 0
    X1_LIM(1) = 0;
else
    X1_LIM(1) = fix(X1_LIM(1)/5)*5;
end
X1_LIM(2) = X1_LIM(1) +  Time_AXES;
xlim(Plot_1, X1_LIM);
xlim(Plot_2, X1_LIM);
LIM_AXES = X1_LIM;

%%%% Seting XLIM in PLOT 3 (Xyringe Pumps graphics) 

Max_Time_Elapsed_Pump = max([Time_Elapse_Pump1 Time_Elapse_Pump2 Time_Elapse_Pump3]);
X2_LIM = xlim(Plot_3);
X2_LIM(1)=  Max_Time_Elapsed_Pump/60 -(Time_AXES)/2 ;
if X2_LIM(1) < 0
    X2_LIM(1) = 0;
else
    X2_LIM(1) = fix(X2_LIM(1)/5)*5;
end
X2_LIM(2) = X2_LIM(1) +  Time_AXES;
xlim(Plot_3, X1_LIM);


