%%% This function has two actions                                           %%%
%%%     1. Stop the timer 1 (The period of timer 1 is the sampling time)    %%%                                           
%%%     2. Close the three UDP sockects (DATEX, PUMP 1 and Pump 2)          %%%
%%% Luis Alberto Paz Surez                                                 %%%
%%% 2010-08-17                                                              %%%

function Function_Stop()
global Timer_1 Timer_Pump_1 Timer_Pump_2 Timer_Pump_3 Timer_Simulator;
global Enabled_DATEX Enabled_Syringe_1 Enabled_Syringe_2  Enabled_Syringe_3;
global RB_Real_Time RB_Simulator Button_Start Button_Stop;

% Stop the timer 1
stop(Timer_1 );
stop(Timer_Pump_1);
stop(Timer_Pump_2);
stop(Timer_Pump_3);
stop(Timer_Simulator);
% Close all UDP sockects
pnet('closeall')
set(Enabled_DATEX,'Enable','on')
set(Enabled_Syringe_1,'Enable','on')
set(Enabled_Syringe_2,'Enable','on')
set(Enabled_Syringe_3,'Enable','on')
set(RB_Real_Time,'Enable','on')
set(RB_Simulator,'Enable','on')
set(Button_Start,'Enable','on')
set(Button_Stop,'Enable','off')

