%%% This function validates if infusion rate value of pump 1 is valid   %%%
%%% Luis Alberto Paz Surez                                             %%%
%%% 2010-08-17                                                          %%%

function Function_Validate_INF_Rate_1()
    global Edit_01 Label_26a Pump_1_UDP_Port_Read Pump_1_UDP_Port_Write
    global sockcon_2 Pump_1_Value Lim_Min_1 Lim_Max_1;
    user_entry = str2double(get(Edit_01,'string'));
    if isnan(user_entry)||(user_entry < Lim_Min_1)||(user_entry > Lim_Max_1)
        errordlg('You must enter a valid numeric value','Bad Input','modal')
        return
    end
    Pump_1_Value = user_entry;
    Remote_Host = 'localhost';
    Remote_Port = Pump_1_UDP_Port_Write;
    Data_to_Send = num2str(Pump_1_Value);
    set(Label_26a, 'String', Data_to_Send);
    try
    UDP_STATUS = pnet(sockcon_2, 'status');
    if  UDP_STATUS == 0
        pnet(sockcon_2,'close');
        sockcon_2 = pnet('udpsocket', Pump_1_UDP_Port_Read);
        pnet(sockcon_2,'setwritetimeout',1);
        pnet(sockcon_2,'setreadtimeout',0);
    end
    catch ME
        errordlg('You must initialice the UDP port: Press the "Start" button','UDP Port Error','modal')
    end
    Function_UDP_Send(Remote_Host, sockcon_2, Remote_Port, Data_to_Send);
    
 end


