%%% This function validates if infusion rate value of pump 2 is valid   %%%
%%% Luis Alberto Paz Surez                                             %%%
%%% 2010-08-17                                                          %%%

function Function_Validate_INF_Rate_3()
    global Edit_02_N Label_27E Pump_3_UDP_Port_Read Pump_3_UDP_Port_Write;
    global sockcon_4 Pump_3_Value Lim_Min_3 Lim_Max_3;
    user_entry = str2double(get(Edit_02_N,'string'));
    if isnan(user_entry)||(user_entry < Lim_Min_3)||(user_entry > Lim_Max_3)
        errordlg('You must enter a valid numeric value','Bad Input','modal')
        return
    end
    Pump_3_Value = user_entry;
    Remote_Host = 'localhost';
    Remote_Port = Pump_3_UDP_Port_Write;
    Data_to_Send = num2str(Pump_3_Value);
    set(Label_27E, 'String', Data_to_Send);
    try
    UDP_STATUS = pnet(sockcon_4, 'status');
    if  UDP_STATUS == 0
        pnet(sockcon_4,'close');
        sockcon_4 = pnet('udpsocket', Pump_3_UDP_Port_Read);
        pnet(sockcon_4,'setwritetimeout',1);
        pnet(sockcon_4,'setreadtimeout',0);
    end
    catch ME
        errordlg('You must initialice the UDP port: Press the "Start" button','UDP Port Error','modal')
    end
    Function_UDP_Send(Remote_Host, sockcon_4, Remote_Port, Data_to_Send);

end


