function [auxChangePoint, auxTypeChange] = PHAditivo_Bloco(DataPoint)
 
global  New_flag Init  ActualSum  ActualAv  varIncrease ...
    minValue  varDecrease  maxValue  Index  auxChangePoint  auxTypeChange


delta = 20; lambda = 20;

if Init == 1
    New_flag = 0;
    Init = 0;
end

if New_flag == 0
    %Initial Values
    ActualSum = DataPoint; ActualAv = ActualSum;
    varIncrease(1) = -delta/2; minValue = varIncrease(1);
    varDecrease(1) = delta/2; maxValue = varDecrease(1);
    auxChangePoint =[]; auxTypeChange=[]; 
    Index = 1; New_flag = 1;
else
    Index = Index+1;
    
    auxChangePoint =[]; auxTypeChange=[];
    ActualSum = (ActualSum + DataPoint);
    ActualAv = (ActualSum) /Index;
    %Increase detections
    varIncrease = ((Index-1)/Index)*varIncrease + DataPoint - ActualAv - delta/2;
    minValue = min(minValue, varIncrease);
    PHT1 = varIncrease - minValue;
    if PHT1 > lambda
        auxChangePoint = Index;
        auxTypeChange = 1;
    end
    %Decrease detections
    varDecrease = ((Index-1)/Index)*varDecrease + DataPoint - ActualAv + delta/2;
    maxValue = max(maxValue, varDecrease);
    PHT2 = maxValue - varDecrease;
    if PHT2 > lambda
        auxChangePoint = Index;
        auxTypeChange = -1;
    end
    
    if ~isempty(auxChangePoint)
        New_flag = 0;
        clear ActualSum ActualAv varIncrease varDecrease minValue maxValue
    end
end